Skip to content

Get business policies by policy group ID

Request

🔒 Private label — contact sales. Requires a private-label entitlement on your API client.

Returns the policy group and all its associated business policies, including rules, conditions, targets, and funding strategies.

Security
oauth2ClientCredentials(Required scopes: business-policies:read)
Path
policyIdstringrequired

Policy group ID (the _id of a policy group from GET /v1/business-policies)

Example:66788af92805e9ffbda6dcee
Headers
business_idstringrequired

Business identifier for the request

curl -i -X GET \
  https://developer.boyahq.com/_mock/v2/openapi/business-policies/66788af92805e9ffbda6dcee/policies \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'business_id: string'

Responses

Policies returned successfully

Bodyapplication/json
_idstring

Policy group MongoDB ObjectId

statusstring

Policy status

Enum:"ACTIVE""DISABLED"
descriptionstring

Human-readable description of the policy type

policy_codestring

Policy code (e.g. SUBCATEGORY, CHANNELS, VENDORS)

business_policiesArray of objects(BusinessPolicyV1Dto)

Business-specific policies configured under this policy type

Response
{ "_id": "string", "status": "ACTIVE", "description": "string", "policy_code": "string", "business_policies": [ {} ] }